<?php
/**
 *
 * Pagination Functions
 *
 * @package Dolpa
 */

if( !function_exists('dolpa_archive_pagination_x') ):

	// Archive Page Navigation
	function dolpa_archive_pagination_x(){

		$dolpa_default = dolpa_get_default_theme_options();
		$dolpa_pagination_layout = get_theme_mod( 'dolpa_pagination_layout',$dolpa_default['dolpa_pagination_layout'] );
		$dolpa_pagination_load_more = esc_html__('Load More Posts','dolpa');
		$dolpa_pagination_no_more_posts = esc_html__('No More Posts','dolpa');

		$banner_post_id = dolpa_aside_banner_post_id();
        
		global $paged;
		if( is_page_template('templates/template-aside-default.php') || 
			is_page_template('templates/template-aside-lateral.php') || 
			is_page_template('templates/template-aside-metro.php') ){

			if( is_front_page() ){

		        $paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
		        $aside_post_query_pagin = new WP_Query( array( 'post_type'=>'post', 'paged'=>$paged,'post__not_in' => array($banner_post_id) ) );

			}else{

				$twp_paged = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;

	        	$aside_post_query_pagin = new WP_Query( array( 'post_type'=>'post', 'paged'=>$twp_paged,'post__not_in' => array($banner_post_id) ) );

			}

	        $max = $aside_post_query_pagin->max_num_pages;
			if( $dolpa_pagination_layout == 'next-prev' ){ ?>

				<nav class="navigation posts-navigation" role="navigation" aria-label="Posts">
	                <div class="nav-links">
	                    <div class="nav-previous">
	                    	<?php echo get_next_posts_link( __( 'Older posts', 'dolpa' ), $aside_post_query_pagin->max_num_pages ); ?>
	                    </div>
	                    <div class="nav-next"><?php echo get_previous_posts_link( __( 'Newer posts', 'dolpa' ) ); ?></div>
	                </div>

	            </nav>

			<?php }elseif( $dolpa_pagination_layout == 'load-more' || $dolpa_pagination_layout == 'auto-load' ){ ?>

				<div class="theme-ajax-post-load hide-no-js">

					<div  style="display: none;" class="theme-loaded-content"></div>
					

					<?php if( $max > 1 ){ ?>

						<button class="theme-loading-button theme-loading-style" href="javascript:void(0)">
							<span style="display: none;" class="theme-loading-status"></span>
							<span class="loading-text"><?php echo esc_html( $dolpa_pagination_load_more ); ?></span>
						</button>

					<?php }else{ ?>

						<button class="theme-loading-button theme-loading-style theme-no-posts" href="javascript:void(0)">
							<span style="display: none;" class="theme-loading-status"></span>
							<span class="loading-text"><?php echo esc_html( $dolpa_pagination_load_more ); ?></span>
						</button>

					<?php } ?>

				</div>

				<div class="pagination-no-js">
					<?php
					echo '<nav class="navigation pagination" role="navigation">';
                echo '<div class="nav-links">';
                $big = 999999999; // need an unlikely integer
                echo paginate_links( array(
                    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                    'format' => '?paged=%#%',
                    'current' => $paged,
                    'total' => absint( $aside_post_query_pagin->max_num_pages )
                ) );
                echo '</div>';
                echo '</nav>';
					?>
				</div>

			<?php }else{

                echo '<nav class="navigation pagination" role="navigation">';
                echo '<div class="nav-links">';
                $big = 999999999; // need an unlikely integer
                echo paginate_links( array(
                    'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
                    'format' => '?paged=%#%',
                    'current' => $paged,
                    'total' => absint( $aside_post_query_pagin->max_num_pages )
                ) );
                echo '</div>';
                echo '</nav>';

			}

		}else{

			// Global Query
		    if( is_front_page() ){

		    	$posts_per_page = get_option('posts_per_page');
		        $paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
		        $posts_args = array(
		            'posts_per_page'        => absint( $posts_per_page ),
		            'paged'                 => absint( $paged ),
		        );
		        $posts_qry = new WP_Query( $posts_args );
		        $max = $posts_qry->max_num_pages;
		        wp_reset_postdata();
		        
		    }else{
		        global $wp_query;
		        $max = $wp_query->max_num_pages;
		        $paged = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;
		    }

			if( $dolpa_pagination_layout == 'next-prev' ){

				if( is_front_page() && is_page() ){

		            $paged = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
		            $latest_post_query = new WP_Query( array( 'post_type'=>'post', 'paged'=>$paged ) );?>
		            
		            <nav class="navigation posts-navigation" role="navigation" aria-label="<?php esc_attr_e('Posts','dolpa'); ?>">
		                <div class="nav-links">
		                    <div class="nav-previous">
		                    	<?php echo get_next_posts_link( __( 'Older posts', 'dolpa' ), $latest_post_query->max_num_pages ); ?>
		                    </div>
		                    <div class="nav-next"><?php echo get_previous_posts_link( __( 'Newer posts', 'dolpa' ) ); ?></div>
		                </div>

		            </nav>
		        <?php

		        }else{

		            the_posts_navigation();

		        }

			}elseif( $dolpa_pagination_layout == 'load-more' || $dolpa_pagination_layout == 'auto-load' ){ ?>

				<div class="theme-ajax-post-load hide-no-js">

					<div  style="display: none;" class="theme-loaded-content"></div>
					

					<?php if( $max > 1 ){ ?>

						<button class="theme-loading-button theme-loading-style" href="javascript:void(0)">
							<span style="display: none;" class="theme-loading-status"></span>
							<span class="loading-text"><?php echo esc_html( $dolpa_pagination_load_more ); ?></span>
						</button>

					<?php }else{ ?>

						<button class="theme-loading-button theme-loading-style theme-no-posts" href="javascript:void(0)">
							<span style="display: none;" class="theme-loading-status"></span>
							<span class="loading-text"><?php echo esc_html( $dolpa_pagination_load_more ); ?></span>
						</button>

					<?php } ?>

				</div>

				<div class="pagination-no-js">
					<?php the_posts_pagination(); ?>
				</div>
			

			<?php
			}else{

				the_posts_pagination();

			}
			
		}

	}

endif;
add_action('dolpa_archive_pagination','dolpa_archive_pagination_x',20);


add_action('wp_ajax_dolpa_single_infinity', 'dolpa_single_infinity_callback');
add_action('wp_ajax_nopriv_dolpa_single_infinity', 'dolpa_single_infinity_callback');

// Recommendec Post Ajax Call Function.
function dolpa_single_infinity_callback() {

    if ( isset( $_POST['_wpnonce'] ) && wp_verify_nonce(  sanitize_text_field( wp_unslash( $_POST['_wpnonce'] ) ), 'dolpa_ajax_nonce' ) && isset( $_POST['postid'] ) ) {

        $postid =  absint( wp_unslash( $_POST['postid'] ) );
        $dolpa_default = dolpa_get_default_theme_options();
        $post_single_next_posts = new WP_Query( array( 'post_type' => 'post','post_status' => 'publish','posts_per_page' => 1, 'post__in' => array( absint( $postid ) ) ) );

        if ( $post_single_next_posts->have_posts() ) :
            while ( $post_single_next_posts->have_posts() ) :
                $post_single_next_posts->the_post();
                ob_start();

                $dolpa_ed_post_views = get_post_meta(get_the_ID(), 'dolpa_ed_post_views', true);
				$dolpa_ed_post_read_time = get_post_meta(get_the_ID(), 'dolpa_ed_post_read_time', true);
				$dolpa_ed_post_like_dislike = get_post_meta(get_the_ID(), 'dolpa_ed_post_like_dislike', true);
				$dolpa_ed_post_author_box = get_post_meta(get_the_ID(), 'dolpa_ed_post_author_box', true);
				$dolpa_ed_post_social_share = get_post_meta(get_the_ID(), 'dolpa_ed_post_social_share', true);
				$dolpa_ed_post_reaction = get_post_meta(get_the_ID(), 'dolpa_ed_post_reaction', true);
 				if ($dolpa_ed_post_read_time) {
				    dolpa_disable_post_read_time();
				}
				if ($dolpa_ed_post_like_dislike) {
				    dolpa_disable_post_like_dislike();
				}
				if ($dolpa_ed_post_author_box) {
				    dolpa_disable_post_author_box();
				}
				if ($dolpa_ed_post_reaction) {
				    dolpa_disable_post_reaction();
				}?>

                <article id="post-<?php the_ID(); ?>" class="after-load-ajax" > 

                	<?php if( has_post_thumbnail() ){ ?>

						<div class="post-thumbnail">

							<?php dolpa_post_thumbnail(); ?>

						</div>

					<?php } ?>

					<header class="entry-header">

						<?php
			            if ('post' === get_post_type()) { ?>
			                <div class="entry-meta">
			                    <?php dolpa_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
			                </div>
			            <?php } ?>

						<h2 class="entry-title entry-title-large">
				            <a href="<?php the_permalink(); ?>" rel="bookmark">
                                <?php the_title(); ?>
                            </a>
				        </h2>
					</header>

					<div class="entry-meta">

						<?php
						dolpa_posted_by();
						dolpa_posted_on();
						if( !$dolpa_ed_post_views ){ dolpa_post_view_count(); }
						?>

					</div>
					
					<div class="post-content">

						<div class="entry-content">

							<?php

							the_content( sprintf(
								/* translators: %s: Name of current post. */
								wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'dolpa' ), array( 'span' => array( 'class' => array() ) ) ),
								the_title( '<span class="screen-reader-text">"', '"</span>', false )
							) );


							wp_link_pages( array(
								'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'dolpa' ),
								'after'  => '</div>',
							) ); ?>

						</div>

					</div>

					<?php
					if ( function_exists('has_block') && has_block('gallery', get_the_content()) ) {

				        echo '<div class="footer-galleries">';
				        $post_blocks = parse_blocks( get_the_content() );
				        if( $post_blocks ){
				            foreach( $post_blocks as $post_block ){

				                if( isset( $post_block['blockName'] ) && 
				                    isset( $post_block['innerHTML'] ) && 
				                    $post_block['blockName'] == 'core/gallery' ){

				                    echo wp_kses_post( $post_block['innerHTML'] );

				                }
				            }
				        }

				        echo '</div>';

				    } ?>

				</article>

                <?php
                $next_post_id = '';
                $next_post = get_next_post();
                if( isset( $next_post->ID ) ){ 
                    $next_post_id = $next_post->ID;
                }
                $output['postid'][] = absint( $next_post_id );
                $output['content'][] = ob_get_clean();

            endwhile;

            wp_send_json_success($output);
            wp_reset_postdata();
        endif;
    }
    wp_die();
}
